AutoCAD Civil 3D Customization

AutoCAD Civil 3D Customization

Reply
Active Member
Alexey.Terno
Posts: 9
Registered: ‎01-21-2012
Message 1 of 2 (155 Views)

IntersectWith function for Alignment and Parcel

155 Views, 1 Replies
07-29-2012 04:30 AM

Hi,

I need to determine intersection points between Alignment and Parcels.
In .NET I haven't Parcel object and in COM IntersectWith function doesn't work.
Can I somehow solve my issue?

ADN Support Specialist
Partha.Sarkar
Posts: 543
Registered: ‎06-09-2009
Message 2 of 2 (137 Views)

Re: IntersectWith function for Alignment and Parcel

07-30-2012 09:35 PM in reply to: Alexey.Terno

Hi Alexey,

I think it's the same question you asked to DevTech / ADN team earlier which we already responded to you :

>>>
Public Sub test()
    Dim ent1 As AcadEntity
    Dim ent2 As AcadEntity
    Dim pick As Object
   
    ThisDrawing.Utility.GetEntity ent1, pick, "Select first entity: "
    ThisDrawing.Utility.GetEntity ent2, pick, "Select second entity: "
   
    Dim res As Variant
    res = ent1.IntersectWith(ent2, acExtendNone)
   
End Sub
<<<


Thanks,



Partha Sarkar
Developer Technical Services
Autodesk Developer Network

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.